Bug 499090 - Graphics output stops working because ring buffer issues
Graphics output stops working because ring buffer issues
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-05 03:30 EDT by Sandro Mathys
Modified: 2013-04-02 00:23 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-05 15:51:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log from after the problem occurs indicating the issue (27.29 KB, text/plain)
2009-05-05 03:30 EDT, Sandro Mathys
no flags Details

  None (edit)
Description Sandro Mathys 2009-05-05 03:30:44 EDT
Created attachment 342417 [details]
Xorg.0.log from after the problem occurs indicating the issue

Description of problem:
Now and then the intel driver seems to run into a problem and quits its job. I can't tell yet when exactly this happens - I first thought it to be random but it sort of only happens when I change to another (already opened) application or tab.

The Xorg.0.log as well as the syslog say something about the ring buffer when the problem occures (see attached logs).

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.7.0-2.fc11.i586

How reproducible:
Not on intent, but it'll occur again anyway.

Steps to Reproduce:
1. Work with the system (main applications: konsole, screen, irssi, firefox, openoffice writer/cal, spicebird, kate)
2.
3.
  
Actual results:
Suddenly no more graphics output

Expected results:
Graphics output runs always fine

Additional info:
- no xorg.conf
- F10 kernel (kernel-PAE-2.6.27.19-170.2.35.fc10.i686) because of bz #498173
- system was updated from F10 to rawhide
- I can't change to a tty or give it a ctrl-alt-del after the problem occured
- I don't seem able to restart xorg (over SSH) after the problem occured. Also, things like `reboot` don't seem to work afterwards, but the power-button does.
Comment 1 Sandro Mathys 2009-05-05 03:32:45 EDT
Well, I only attached the Xorg.0.log now. The syslog (/var/log/messages) only shows one interesting line (but repeats that one several times):
May  5 08:47:48 nebuchadnezzar kernel: [drm:i915_initialize] *ERROR* can not ioremap virtual address for ring buffer
Comment 2 Matěj Cepl 2009-05-15 20:29:15 EDT
If the problem is bug 498173 then don't try to resolve by running obsolete Xorg server on recent kernel -- it couldn't work. If you have problem with modesetting, then the canonical way is to add to the kernel command line (e.g., to /etc/grub.conf line starting with kernel) word nomodeset as one of the kernel parameters.

Does nomodeset help?
Comment 3 Sandro Mathys 2009-05-18 02:09:33 EDT
Yep, the chances are high that this is linked to bug 498173 which still isn't resolved (even though the Adam was so arrogant to just state it was).

On the other hand, this issue hasn't hit me for some time by now. Could be that it no longer occurs - or that I adapted so well to work around it, that I'm no longer provoking it.

Oh, and (as stated in that other bug already): no, nomodeset isn't helpful.
Comment 4 Bug Zapper 2009-06-09 11:09:56 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Matěj Cepl 2009-11-05 13:28:31 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Note You need to log in before you can comment on or make changes to this bug.